Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Installing Plugin Error

I'm tring to install plugins:

sudo python3 install_plugin.py

ERROR: check if map.pm and [pluginName].conf exist
asked in OCS Inventory NG server for Unix by (160 points)

4 Answers

0 votes
Hi @Uzzi,

which version of OCS server ?

which operating system ?
answered by (25.5k points)
0 votes
@steph78630

OCS server 2.5

Ubuntu 18.04.1 LTS (GNU/Linux 4.15.0-42-generic x86_64)
answered by (160 points)
+1 vote

the installation of an extension (formerly called plugin) with Python was initiated from the OCS server in version 2.6 Release Candidate stage (therefore currently not for production purposes).

If this is the case for you, thank you for this feedback to further improve our product.

The latest stable version of the OCS server is 2.5.

answered by (25.5k points)
0 votes
This depends on the fact that the install script (install_plugin.py) looks for "map.pm", but all plugins contain "Map.pm" under the APACHE directory.

Since it's case sensitive, the installation fails.

In my case I tried to install officepack: As a workaround I substituted all occurences of map.pm inside the python script (install_plugin.py) with Map.pm and renamed the following:

- Extension directory from officepack to Officepack

- officepack.conf to Officepack.conf inside [extension]/APACHE.

This way the installation concludes succesfully.
answered by (140 points)
 
Powered by Question2Answer
...